Subject: Re: bug#43470: 27.1; Drag and Drop not working properly in 27.1 on OSX

From: Alan Third <[email-masked]>
Date: Fri, 18 Sep 2020 23:15:24 +0100

On Fri, Sep 18, 2020 at 05:27:17PM -0400, Paul Magwene wrote:
> I can confirm this patch restores basic drag-and-drop functionality -- for
> example I can drag URLs from a browser into emacs.
> 
> However, there still seems to be regression with respect to the behavior of
> the package org-download (https://github.com/abo-abo/org-download) -- images
> dragged from a web browser are no longer recognized as attachments, only
> their URLs are getting pasted.

Try holding the option key when dragging into the Emacs frame.

Emacs 26 didn't handle drag and drop according to Apple's guidelines,
which meant that different source applications were able to force
Emacs to handle drag and drop in apparently arbitrary ways.

It didn't help that changing which keys worked as meta and super
affected the drag and drop in unexpected ways too!

The result was that there was no way to be able to predict what would
happen when you dragged something into Emacs. For example, dragging
highlighted text from iTerm would result in Emacs doing something
different than when dragging highlighted text from TextEdit.

More info here:

http://emacs.1067599.n8.nabble.com/bug-30929-26-0-91-Text-drag-and-drop-does-not-work-td451899.html

-- 
Alan Third